# This file is part of python-cinema-club-bot
# contributed in 2024 by Mikhail Kirillov (~w96k) <w96k@runbox.com>

# To the extent possible under law, the author(s) have dedicated all copyright
# and related and neighboring rights to this software to the public domain
# worldwide. This software is distributed without any warranty.

# You should have received a copy of the CC0 Public Domain Dedication along
# with this software. If not, see:
# <http://creativecommons.org/publicdomain/zero/1.0/>

from telegram import Update
from telegram.ext import ContextTypes
from subprocess import check_output

from strings import ABOUT


VERSION="0.1"


def _get_commit_hash() -> str:
    return check_output(['git', 'rev-parse', 'HEAD']).decode('ascii').strip()


def _get_commit_short_hash() -> str:
    return check_output(['git', 'rev-parse', '--short', 'HEAD']).decode('ascii').strip()


async def about(update: Update, context: ContextTypes.DEFAULT_TYPE) -> None:
    await update.message.reply_text(
        ABOUT.format(
            version=VERSION,
            commit=_get_commit_short_hash(),
        )
    )
